# --- ROCK-COPYRIGHT-NOTE-BEGIN ---
# 
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
# Please add additional copyright information _after_ the line containing
# the ROCK-COPYRIGHT-NOTE-END tag. Otherwise it might get removed by
# the ./scripts/Create-CopyPatch script. Do not edit this copyright text!
# 
# ROCK Linux: rock-src/misc/pkgsel/build-bootstrap.in
# ROCK Linux is Copyright (C) 1998 - 2005 Clifford Wolf
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version. A copy of the GNU General Public
# License can be found at Documentation/COPYING.
# 
# Many people helped and are helping developing ROCK Linux. Please
# have a look at https://www.rocklinux.org/ and the Documentation/TEAM
# file for details.
# 
# --- ROCK-COPYRIGHT-NOTE-END ---
#
# TITLE: "bootstrap" package selection for building a build system

pkgfilter sed '

# select packages explicitly
/ 00-dirtree / { s/^[XO] /X /p; d; };
/ attr / { s/^[XO] /X /p; d; };
/ autoconf / { s/^[XO] /X /p; d; };
/ automake / { s/^[XO] /X /p; d; };
/ bash / { s/^[XO] /X /p; d; };
/ bc / { s/^[XO] /X /p; d; };
/ bdb41 / { s/^[XO] /X /p; d; };
/ binutils / { s/^[XO] /X /p; d; };
/ bison / { s/^[XO] /X /p; d; };
/ bzip2 / { s/^[XO] /X /p; d; };
/ cdrtools / { s/^[XO] /X /p; d; };
/ coreutils / { s/^[XO] /X /p; d; };
/ cpio / { s/^[XO] /X /p; d; };
/ cracklib / { s/^[XO] /X /p; d; };
/ cron / { s/^[XO] /X /p; d; };
/ curl / { s/^[XO] /X /p; d; };
/ cvs / { s/^[XO] /X /p; d; };
/ devfsd / { s/^[XO] /X /p; d; };
/ device-mapper / { s/^[XO] /X /p; d; };
/ dhcpcd / { s/^[XO] /X /p; d; };
/ dialog / { s/^[XO] /X /p; d; };
/ dietlibc / { s/^[XO] /X /p; d; };
/ diffutils / { s/^[XO] /X /p; d; };
/ disktype / { s/^[XO] /X /p; d; };
/ e2fsprogs / { s/^[XO] /X /p; d; };
/ ed / { s/^[XO] /X /p; d; };
/ expat / { s/^[XO] /X /p; d; };
/ file / { s/^[XO] /X /p; d; };
/ findutils / { s/^[XO] /X /p; d; };
/ flex / { s/^[XO] /X /p; d; };
/ gawk / { s/^[XO] /X /p; d; };
/ gcc3 / { s/^[XO] /X /p; d; };
/ gdbm / { s/^[XO] /X /p; d; };
/ gettext / { s/^[XO] /X /p; d; };
/ glibc23 / { s/^[XO] /X /p; d; };
/ gperf / { s/^[XO] /X /p; d; };
/ grep / { s/^[XO] /X /p; d; };
/ groff / { s/^[XO] /X /p; d; };
/ gzip / { s/^[XO] /X /p; d; };
/ hdparm / { s/^[XO] /X /p; d; };
/ iproute2 / { s/^[XO] /X /p; d; };
/ kbd / { s/^[XO] /X /p; d; };
/ kiss / { s/^[XO] /X /p; d; };
/ ksymoops / { s/^[XO] /X /p; d; };
/ lcap / { s/^[XO] /X /p; d; };
/ less / { s/^[XO] /X /p; d; };
/ libcap / { s/^[XO] /X /p; d; };
/ libdaemon / { s/^[XO] /X /p; d; };
/ libelf / { s/^[XO] /X /p; d; };
/ liblockfile / { s/^[XO] /X /p; d; };
/ libpcap / { s/^[XO] /X /p; d; };
/ libtool / { s/^[XO] /X /p; d; };
/ linux24 / { s/^[XO] /X /p; d; };
/ linux24-header / { s/^[XO] /X /p; d; };
/ linux24-src / { s/^[XO] /X /p; d; };
/ linux26 / { s/^[XO] /X /p; d; };
/ linux26-src / { s/^[XO] /X /p; d; };
/ lsof / { s/^[XO] /X /p; d; };
/ ltrace / { s/^[XO] /X /p; d; };
/ lvm-wrapper / { s/^[XO] /X /p; d; };
/ lvm / { s/^[XO] /X /p; d; };
/ lvm2 / { s/^[XO] /X /p; d; };
/ lynx / { s/^[XO] /X /p; d; };
/ m4 / { s/^[XO] /X /p; d; };
/ mailx / { s/^[XO] /X /p; d; };
/ make / { s/^[XO] /X /p; d; };
/ man / { s/^[XO] /X /p; d; };
/ mdadm / { s/^[XO] /X /p; d; };
/ mine / { s/^[XO] /X /p; d; };
/ minicom / { s/^[XO] /X /p; d; };
/ miscfiles / { s/^[XO] /X /p; d; };
/ mktemp / { s/^[XO] /X /p; d; };
/ module-init-tools / { s/^[XO] /X /p; d; };
/ modutils / { s/^[XO] /X /p; d; };
/ mtools / { s/^[XO] /X /p; d; };
/ mtr / { s/^[XO] /X /p; d; };
/ ncftp / { s/^[XO] /X /p; d; };
/ ncompress / { s/^[XO] /X /p; d; };
/ ncurses / { s/^[XO] /X /p; d; };
/ neon / { s/^[XO] /X /p; d; };
/ net-tools / { s/^[XO] /X /p; d; };
/ netcat / { s/^[XO] /X /p; d; };
/ netkit-base / { s/^[XO] /X /p; d; };
/ netkit-ftp / { s/^[XO] /X /p; d; };
/ nfs-utils / { s/^[XO] /X /p; d; };
/ nvi / { s/^[XO] /X /p; d; };
/ openssh / { s/^[XO] /X /p; d; };
/ openssl / { s/^[XO] /X /p; d; };
/ patch / { s/^[XO] /X /p; d; };
/ patchutils / { s/^[XO] /X /p; d; };
/ pciutils / { s/^[XO] /X /p; d; };
/ perl5 / { s/^[XO] /X /p; d; };
/ popt / { s/^[XO] /X /p; d; };
/ portmap / { s/^[XO] /X /p; d; };
/ procinfo / { s/^[XO] /X /p; d; };
/ procps / { s/^[XO] /X /p; d; };
/ psmisc / { s/^[XO] /X /p; d; };
/ psutils / { s/^[XO] /X /p; d; };
/ python / { s/^[XO] /X /p; d; };
/ rcs / { s/^[XO] /X /p; d; };
/ readline / { s/^[XO] /X /p; d; };
/ recode / { s/^[XO] /X /p; d; };
/ reiserfsprogs / { s/^[XO] /X /p; d; };
/ rock-debug / { s/^[XO] /X /p; d; };
/ rock-src / { s/^[XO] /X /p; d; };
/ rockplug / { s/^[XO] /X /p; d; };
/ rsync / { s/^[XO] /X /p; d; };
/ screen / { s/^[XO] /X /p; d; };
/ sed / { s/^[XO] /X /p; d; };
/ setserial / { s/^[XO] /X /p; d; };
/ shadow / { s/^[XO] /X /p; d; };
/ sharutils / { s/^[XO] /X /p; d; };
/ slang / { s/^[XO] /X /p; d; };
/ strace / { s/^[XO] /X /p; d; };
/ subversion / { s/^[XO] /X /p; d; };
/ sysfiles / { s/^[XO] /X /p; d; };
/ sysklogd / { s/^[XO] /X /p; d; };
/ sysstat / { s/^[XO] /X /p; d; };
/ sysvinit / { s/^[XO] /X /p; d; };
/ tar / { s/^[XO] /X /p; d; };
/ tcpdump / { s/^[XO] /X /p; d; };
/ texinfo / { s/^[XO] /X /p; d; };
/ time / { s/^[XO] /X /p; d; };
/ traceroute / { s/^[XO] /X /p; d; };
/ tree / { s/^[XO] /X /p; d; };
/ unzip / { s/^[XO] /X /p; d; };
/ util-linux / { s/^[XO] /X /p; d; };
/ vim / { s/^[XO] /X /p; d; };
/ wdiff / { s/^[XO] /X /p; d; };
/ wget / { s/^[XO] /X /p; d; };
/ xfsprogs / { s/^[XO] /X /p; d; };
/ zip / { s/^[XO] /X /p; d; };
/ zlib / { s/^[XO] /X /p; d; };

# architectures
/ aboot /   { p; d; };
/ bin86 /   { p; d; };  
/ cpuburn / { p; d; };
/ grub /    { p; d; };  
/ mac-fdisk /   { p; d; };  
/ memtest86 /   { p; d; };  
/ nasm /    { p; d; };
/ pdisk /       { p; d; };
/ silo /    { p; d; };  
/ syslinux /    { p; d; };
/ yaboot /  { p; d; };  


# Disable the rest
/.*/			{ s/^X /O / ; p; d; };'

